<?php

namespace App\Filament\Resources\Annees;

use App\Filament\Resources\Annees\Pages\CreateAnnee;
use App\Filament\Resources\Annees\Pages\EditAnnee;
use App\Filament\Resources\Annees\Pages\ListAnnees;
use App\Filament\Resources\Annees\Schemas\AnneeForm;
use App\Filament\Resources\Annees\Tables\AnneesTable;
use App\Models\Annee;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class AnneeResource extends Resource
{
    protected static ?string $model = Annee::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return AnneeForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return AnneesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListAnnees::route('/'),
            'create' => CreateAnnee::route('/create'),
            'edit' => EditAnnee::route('/{record}/edit'),
        ];
    }
}
